package com.smcic;


import lombok.Cleanup;
import lombok.SneakyThrows;
import org.apache.commons.lang3.time.DateUtils;

import java.sql.Date;
import java.sql.DriverManager;

public class Main {

    @SneakyThrows
    public static void main(String[] args) {
        Class.forName("com.mysql.cj.jdbc.Driver");
        @Cleanup
        var mysqlConn = DriverManager.getConnection("jdbc:mysql://172.16.101.1:4000/youmei?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&nullCatalogMeansCurrent=true",
                "root", "msstar");
        @Cleanup
        var ckConn = DriverManager.getConnection("jdbc:clickhouse://baidu06:8123/default");
        @Cleanup
        var statement = mysqlConn.prepareStatement("""
                select create_time,title,content,offset
                from youmei_data
                where offset >= ?
                order by offset limit 5000
                """);
        long offset = 4642461L;
        while (true) {
            statement.setObject(1, offset);
            @Cleanup
            var resultSet = statement.executeQuery();

            @Cleanup
            var stmt = ckConn.prepareStatement("insert into youmei_data(publish_time,title,content) values (?,?,?)");
            var find = false;
            while (resultSet.next()) {
                find = true;
                var publishTime = resultSet.getDate(1);
                var title = resultSet.getString(2);
                var content = resultSet.getString(3);
//                var date = DateUtils.parseDate(publishTime, "yyyy-MM-dd HH:mm:ss");
                offset = resultSet.getLong(4) + 1;

                stmt.setDate(1, new Date(publishTime.getTime()));
                stmt.setObject(2, title);
                stmt.setObject(3, content);
                stmt.addBatch();
            }
            stmt.executeBatch();
            if (!find) {
                break;
            }
        }


    }
}
